Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.pagination
Enum SortOrder

    java.lang.Object
      java.lang.Enum<SortOrder>
          com.bea.p13n.pagination.SortOrder

All Implemented Interfaces
  Serializable, Comparable<SortOrder>

    public enum SortOrder

extends Enum<SortOrder>

Sort order used by SortablePagedResult

See Also
  `SortablePagedResult`

Enum Constant Summary
`ASCENDING`
`DESCENDING`
`UNSORTED`

Method Summary
`static SortOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SortOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNSORTED

    public static final SortOrder UNSORTED

### ASCENDING

    public static final SortOrder ASCENDING

### DESCENDING

    public static final SortOrder DESCENDING

Method Detail

### values

    public static final SortOrder[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static SortOrder valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.